<!DOCTYPE html>
<html>
    <body >
        
        <div class="hero">
            
            <app-navigation></app-navigation>        

            <div *ngIf="lists!=[]" style="margin-bottom: 100px;">
            <div *ngFor="let list of lists" style="margin-bottom: 5px;">
               <button class="btn a4" (click)="getSongs(list.name)" style="width: 35%; left: 400px;">{{list.name}}</button>
               
               <div *ngIf="nameOfList==list.name">
                
                <fieldset style="width: 50%;" *ngIf="!heartedLists.includes(nameOfList); else alreadyHearted" class="rating">
                    <input type="checkbox" id="lists.indexOf(nameOfList)" name="rating" (click)="heartList(nameOfList)" /><label class = "full" for="lists.indexOf(nameOfList)"></label>
                </fieldset>

                <ng-template #alreadyHearted>
                <fieldset class="rating" style="width: 50%;">
                    <input type="checkbox" id="lists.indexOf(nameOfList)" name="rating" (click)="heartList(nameOfList)" checked /><label class = "full" for="lists.indexOf(nameOfList)"></label>
                </fieldset>
            </ng-template><br><br>
                   <div *ngFor="let track of tracks">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="well album" style="background:#f5b2b2; border-radius: 1.5rem; padding: 1em; box-shadow: 0 0 20px 9px #ff61241f;margin-top:10px;margin-bottom: 30px;margin-right:10px;position:center;margin-left: 10px;">
                            <div class="inner">
                                <h3>{{track.title}} </h3>
                                <a class = "bot" routerLink="/artist/{{track.artist.id}}">{{track.artist.name}} </a>
                                <a class="btn a4" id="play" (click)="play(track.preview)">Play</a>
                                <a class="btn a4" (click)="getLyric(track.title, track.id, track.artist.name)">Lyric</a>
                            </div>
                            </div>

                            <div *ngIf="show_lyrics.includes(track.id)">
                                <span class="album-extras" style="white-space: pre-line; position: relative; left: 30%; font-family: myFont;">{{track.lyrics}}</span>
                            </div>
                        </div>
                    </div>
                   </div>
               </div>
            </div>
        </div>
    </div>
    </body>
</html>